function init(hero) {
    hero.setName("Bumbelbee/Teen Titans");
    hero.setTier(3);
    
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("tmfp:bumbelbee");
    hero.addAttribute("PUNCH_DAMAGE", 3.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 7.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    
    hero.addKeyBind("SIZE_MANIPULATION", "key.sizeManipulation", 1);
    hero.addKeyBind("HOVER", "key.hover", 2);
    hero.addKeyBind("WINGS", "Toggle Wings", 3);
    
    hero.setDefaultScale(0.89);
    hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:propelled_flight":
        return entity.getData("fiskheroes:dyn/steeled");
    default:
        return true;
    }
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "HOVER":
        return entity.getData("fiskheroes:dyn/steeled");
    default:
        return true;
    }
}